Update an In-Page Event
1 min
PATCH
https://api.optimizely.com/v2/pages/{page_id}/events/{event_id}
page_idinteger<int64><p>The Page ID of the In-Page Event you want to change</p>
event_idinteger<int64><p>The In-Page Event ID of the In-Page Event you want to change</p>
acceptstringGenerated from available response content types
bodyobject<p>A string in JSON format that includes all the fields you'd like to change for an In-Page Event</p>
200<p>Successfully updated the In-Page event</p>
400Invalid request body supplied
401Invalid credentials
403You do not have access to the specified Event
404Event not found
defaultUnexpected error
curl --request PATCH \
--url https://api.optimizely.com/v2/pages/{page_id}/events/{event_id} \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
"config": {
"selector": ".menu-options"
}
}'